# Runtime APIs

- [SQL Query API](https://docs.spice.ai/api/runtime-apis/sql-query.md): SQL Query (Cloud Data Warehouse) API
- [HTTP API](https://docs.spice.ai/api/runtime-apis/sql-query/http-api.md): Query with SQL via the HTTP API
- [Apache Arrow Flight API](https://docs.spice.ai/api/runtime-apis/sql-query/apache-arrow-flight-api.md): SQL Query Apache Arrow Flight API
- [LLM API](https://docs.spice.ai/api/runtime-apis/openai-api.md)
- [Search API](https://docs.spice.ai/api/runtime-apis/search.md)
- [Health API](https://docs.spice.ai/api/runtime-apis/health.md): Health HTTP API documentation
- [Metrics API](https://docs.spice.ai/api/runtime-apis/metrics.md): Scrape per-app runtime metrics


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.spice.ai/api/runtime-apis.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
